pulseaudio crashed with SIGABRT in core_free() at login

Bug #1425447 reported by Wolter Hellmund on 2015-02-25
94
This bug affects 14 people
Affects Status Importance Assigned to Milestone
PulseAudio
Won't Fix
Undecided
pulseaudio (Fedora)
Won't Fix
Undecided
pulseaudio (Ubuntu)
High
David Henningsson

Bug Description

When I login, I get no sound, a "Dummy Output" device which is not functional, and then an error report about this.

ProblemType: Crash
DistroRelease: Ubuntu 15.04
Package: pulseaudio 1:6.0-0ubuntu3
ProcVersionSignature: Ubuntu 3.18.0-13.14-generic 3.18.5
Uname: Linux 3.18.0-13-generic x86_64
ApportVersion: 2.16.1-0ubuntu2
Architecture: amd64
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/by-path', '/dev/snd/hwC0D2', '/dev/snd/pcmC0D2c', '/dev/snd/pcmC0D1p', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/controlC0', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CurrentDesktop: GNOME
Date: Wed Feb 25 03:14:39 2015
ExecutablePath: /usr/bin/pulseaudio
InstallationDate: Installed on 2013-09-29 (513 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64+mac (20130424)
ProcCmdline: /usr/bin/pulseaudio --start --log-target=syslog
Signal: 6
SourcePackage: pulseaudio
StacktraceTop:
 ?? () from /usr/lib/libpulsecore-6.0.so
 main ()
Title: pulseaudio crashed with SIGABRT in main()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 11/19/2008
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A12
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA12:bd11/19/2008:svnDellInc.:pnXPSM1530:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: XPS M1530
dmi.sys.vendor: Dell Inc.

Version-Release number of selected component:
pulseaudio-4.0-4.gita89ca.fc20

Additional info:
reporter: libreport-2.1.7
backtrace_rating: 4
cmdline: /usr/bin/pulseaudio --start
crash_function: core_free
executable: /usr/bin/pulseaudio
kernel: 3.11.1-300.fc20.x86_64
runlevel: N 5
type: CCpp
uid: 1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #2 core_free at pulsecore/core.c:175
 #3 pa_core_unref at pulsecore/core.h:192

Potential duplicate: bug 714401

Created attachment 803048
File: backtrace

Created attachment 803049
File: cgroup

Created attachment 803050
File: core_backtrace

Created attachment 803051
File: dso_list

Created attachment 803052
File: environ

Created attachment 803053
File: limits

Created attachment 803054
File: maps

Created attachment 803055
File: open_fds

Created attachment 803056
File: proc_pid_status

No idea. Logged back in at GDM screen.

reporter: libreport-2.1.7
backtrace_rating: 4
cmdline: /usr/bin/pulseaudio --start
crash_function: core_free
executable: /usr/bin/pulseaudio
kernel: 3.12.0-0.rc2.git0.2.fc21.x86_64
package: pulseaudio-4.0-4.gita89ca.fc20
reason: Process /usr/bin/pulseaudio was killed by signal 6 (SIGABRT)
runlevel: unknown
type: CCpp
uid: 1000

I installed and started skype. It came up with a notification, and the system hung up. Killing skype and pulse from a virtual terminal got it working again, and abrt directed me here.

Saw this on startup of a freshly-built F20 VM in virt-manager (doing some pre-Beta testing).

Seeing this bug on startup. I installed this system using beta TC1.

Still seeing this as of Beta TC2.

I'm also seeing other problems with the latest version of pulseaudio after updates. Among these are problems with audio playback in Skype and crashing to console of lightDM Display Manager.

those items you mention are unrelated to this one (afaict).

(for others), see bug #1017944 for skype crackling.

Just logged into Cinnamon, and got hit with six errors within a second and a half from pulseaudio while just logging on to a session.

ABRT, as usual, won't let me report them but was kind enough to reference this bug report.

Make that 14 since I last posted the above comment 17.

That count is up to 19 now but so far no more crashes and sound came back on the fourth reboot.

Proposing as a Final blocker per https://fedoraproject.org/wiki/Fedora_20_Final_Release_Criteria#SELinux_and_crash_notifications : "There must be no SELinux denial notifications or crash notifications on boot of or during installation from a release-blocking live image, or at first login after a default install of a release-blocking desktop." Also as a Beta freeze exception, as this is a pretty highly visible issue that looks bad to testers. It's still valid as of latest F20 packages with a newly-built live image, for me.

Fresh install of F20-Alpha. Same thing.

Discussed at 2013-10-16 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-10-16/f20beta-blocker-review-4.2013-10-16-16.02.log.txt . Accepted as a freeze exception issue: this is a very visible bug that negatively affects perception of F20 Beta. It isn't fatal, though, so the fix may not be accepted late in freeze for safety reasons.

A couple of times now I have had gnome-shell crash out directly after the above pulseaudio crashes. I'd say that is fatal--at least on my fresh F20-Alpha install. Of course, abrt won't allow reporting on the issue because a similar gnome-shell crash already has been reported.

"I'd say that is fatal"

a) I haven't ever seen that, and the fact that it happens after the PA crash doesn't mean they're in any way related, and
b) shell crashes aren't usually really fatal because it just respawns itself.

"Of course, abrt won't allow reporting on the issue because a similar gnome-shell crash already has been reported."

So what is the bug #?

Now gone, along with all but one of the pulseaudio crashes. The gnome-shell crash that occurred during an update also remains (that one is 995785) but the rest are gone from the list. I had 3 gnome-shell crashes this week. I had 19 out of 20 pulseaudio crashes that also now are gone. What is up with that? How long does abrt hold on to crash info before it no longer displays? What would cause the list of crashes to reset to Monday?

I also found that clicking on the system tab/button does nothing. Abrt says there are 4 errors sitting there but clicking the button does not display anything.

This is not a forum thread. If you need help with abrt, ask in an appropriate forum. BZ discussion needs to be focused.

pulseaudio-4.0-7.gitf81e3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2013-19085/pulseaudio-4.0-7.gitf81e3.fc20

Happened on first login after upgrade from fc19 to fc20

reporter: libreport-2.1.8
backtrace_rating: 4
cmdline: /usr/bin/pulseaudio --start
crash_function: core_free
executable: /usr/bin/pulseaudio
kernel: 3.11.4-301.fc20.x86_64
package: pulseaudio-4.0-4.gita89ca.fc20
reason: Process /usr/bin/pulseaudio was killed by signal 6 (SIGABRT)
runlevel: N 5
type: CCpp
uid: 1236200002

pulseaudio-4.0-7.gitf81e3.fc20 has been pushed to the Fedora 20 stable repository. If problems still persist, please make note of it in this bug report.

I've just got this crash in pulseaudio-5.0-7.fc20.x86_64 (directed here by abrt).

(In reply to lovyagin from comment #32)
> I've just got this crash in pulseaudio-5.0-7.fc20.x86_64 (directed here by
> abrt).

/me too

reopening

btw, as I don't see any search options at the abrt server, here's the link for the crash record for the version 0:5.0-7.fc20

https://retrace.fedoraproject.org/faf/reports/410607/

just got this with pulseaudio-5.0-25.fc21.x86_64

Version-Release number of selected component:
pulseaudio-6.0-1.fc22

Additional info:
reporter: libreport-2.3.0
backtrace_rating: 4
cmdline: /usr/bin/pulseaudio --start --log-target=syslog
crash_function: core_free
executable: /usr/bin/pulseaudio
kernel: 3.20.0-0.rc0.git6.1.fc22.x86_64
runlevel: N 5
type: CCpp
uid: 42

Truncated backtrace:
Thread no. 1 (2 frames)
 #2 core_free at pulsecore/core.c:179
 #3 pa_core_unref at pulsecore/core.h:202

Potential duplicate: bug 714401

Created attachment 993499
File: backtrace

Created attachment 993501
File: cgroup

Created attachment 993503
File: core_backtrace

Created attachment 993504
File: dso_list

Created attachment 993505
File: environ

Created attachment 993506
File: limits

Created attachment 993507
File: maps

Created attachment 993509
File: open_fds

Created attachment 993511
File: proc_pid_status

Created attachment 993512
File: var_log_messages

Wolter Hellmund (wolterh) wrote :

StacktraceTop:
 core_free (o=0x2198050) at pulsecore/core.c:179
 pa_core_unref (o=<optimized out>) at ./pulsecore/core.h:203
 main (argc=35208000, argv=0x1) at daemon/main.c:1178

Changed in pulseaudio (Ubuntu):
importance: Undecided → Medium
summary: - pulseaudio crashed with SIGABRT in main() at login
+ pulseaudio crashed with SIGABRT in core_free() at login
tags: removed: need-amd64-retrace
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pulseaudio (Ubuntu):
status: New → Confirmed
Albert Astals Cid (aacid) wrote :

Started happening to me since the update to systemd

Sebastien Bacher (seb128) wrote :
information type: Private → Public
Sebastien Bacher (seb128) wrote :

That issue is ranked high enough on e.u.c, Luke, could you have a look and upstream it at least?

Changed in pulseaudio (Ubuntu):
assignee: nobody → Luke Yelavich (themuso)
importance: Medium → High
Raymond (superquad-vortex2) wrote :

Sysfs Files
!!-----------

/sys/class/sound/hwC0D2/init_pin_configs:
0x0a 0x0221101f
0x0b 0x40f000f1
0x0c 0x40f000f7
0x0d 0x90170110
0x0e 0x02a11020
0x0f 0x02011030
0x10 0x40f000f2
0x11 0x40f000f3
0x12 0x40f000f4
0x13 0x90a6012e
0x14 0x40f000f5
0x21 0x985610a0
0x22 0x40f000f6

/sys/class/sound/hwC0D2/driver_pin_configs:
0x21 0x01442070
0x0f 0x0221101f
0x0e 0x02a79130

pin fixup seem incorrect, mic jack become phantom jack and this disable auto mic select when mic jack lost jack detection

!!ALSA/HDA dmesg
!!-----------------

[ 15.406608] nouveau [ VBIOS][0000:01:00.0] version 60.84.5e.00.08
[ 15.420460] snd_hda_intel 0000:00:1b.0: irq 30 for MSI/MSI-X
[ 15.426938] nouveau 0000:01:00.0: irq 31 for MSI/MSI-X
--
[ 15.533175] audit: type=1400 audit(1424856175.152:11): apparmor="STATUS" operation="profile_load" profile="unconfined" name="/usr/sbin/cupsd" pid=400 comm="apparmor_parser"
[ 15.552077] sound hdaudioC0D2: autoconfig: line_outs=1 (0xd/0x0/0x0/0x0/0x0) type:speaker
[ 15.552082] sound hdaudioC0D2: speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[ 15.552085] sound hdaudioC0D2: hp_outs=2 (0xf/0xa/0x0/0x0/0x0)
[ 15.552088] sound hdaudioC0D2: mono: mono_out=0x0
[ 15.552090] sound hdaudioC0D2: dig-out=0x21/0x0
[ 15.552092] sound hdaudioC0D2: inputs:
[ 15.552095] sound hdaudioC0D2: Internal Mic=0x13
[ 15.552098] sound hdaudioC0D2: Mic=0xe
[ 15.556211] gpio_ich: GPIO from 446 to 495 on gpio_ich
[ 16.001015] input: HDA Intel Front Headphone Front as /devices/pci0000:00/0000:00:1b.0/sound/card0/input9
[ 16.004520] input: HDA Intel Front Headphone Surround as /devices/pci0000:00/0000:00:1b.0/sound/card0/input10

Raymond (superquad-vortex2) wrote :

try

hdajacksenset -a

when you plug and unplug mic jack to find out whether mic jack support jack detection

try hdajackretask to fix the mic jack to re-enable auto mic

David Henningsson (diwic) wrote :

Hi Raymond,

This bug is about a crash in PulseAudio. In case you're interested in following up on jack detection, could you do so somewhere else, e g by contacting the bug reporter instead? Thanks.

David Henningsson (diwic) wrote :

Hi,

To debug further, I'll need a PulseAudio verbose log (which includes the crash) - see https://wiki.ubuntu.com/PulseAudio/Log for how to create one. Thanks!

Changed in pulseaudio (Ubuntu):
status: Confirmed → Incomplete

just got this with pulseaudio-6.0-2.fc21.1.x86_64

Another user experienced a similar problem:

I initiated a logout. After logout I logged back in and I was notified that PulseAudio stopped. Before the logout, I had been using steam (API v017, package version 14317290692), but closed the application window prior to logout (it may have had a background process running). I was also using chrome (Version 42.0.2311.152 64-bit), but I exited that as well (though chrome always has a background process running).

reporter: libreport-2.3.0
backtrace_rating: 4
cmdline: /usr/bin/pulseaudio --start --log-target=syslog
crash_function: core_free
executable: /usr/bin/pulseaudio
kernel: 3.19.7-200.fc21.x86_64
package: pulseaudio-6.0-2.fc21.1
reason: pulseaudio killed by SIGABRT
runlevel: N 5
type: CCpp
uid: 1000

tags: added: wily
Sebastien Bacher (seb128) wrote :

Luke, David, the upstream bug points to http://cgit.freedesktop.org/pulseaudio/pulseaudio/commit/?id=a527711528ce8f9e1b1f73957fa8281f9126b370 ... could we backport that to wily and see if that's enough?

Changed in pulseaudio (Ubuntu):
status: Incomplete → Confirmed
Ertan Günay (ergunay) wrote :

This morning, this problem happened but I can listen online radio.
But there is a problem like that:
For example when I'm listening online radio,
Meanwhile if I look twitter or facebook page,
And if there is some videos of my twitter of fb,
PulseAudio mostly goes to crash.
In that case I have to rhytymbox,
and start to online radio to overcome problem.

Changed in pulseaudio (Ubuntu):
assignee: Luke Yelavich (themuso) → David Henningsson (diwic)
David Henningsson (diwic) wrote :

@Seb128,

The main problem here is lack of people who can reproduce the problem and help us out (see comment #14). Lacking that, the commit you point at is merely a guess, and probably won't solve the problem for everyone. But it's the best guess I came up with, given the lack of reproducability here.

So, yes, I certainly don't mind us backporting that commit to Wily (and for 16.04, we should have PA 7.0 which already includes the patch), but don't have too high hopes about it.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:6.0-0ubuntu13

---------------
pulseaudio (1:6.0-0ubuntu13) wily; urgency=medium

  * Pull upstream commit a527711 to hopefully fix LP: #1425447

 -- Luke Yelavich <email address hidden> Tue, 13 Oct 2015 10:44:57 +1100

Changed in pulseaudio (Ubuntu):
status: Confirmed → Fix Released

This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora 'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 21 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Changed in pulseaudio (Fedora):
importance: Unknown → Undecided
status: Unknown → Won't Fix
Changed in pulseaudio:
importance: Unknown → Undecided
status: Unknown → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.